[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ShouldAutoAdjust

Indicates whether the height and/or width for a control can be automatically adjusted.

## Declaration

Source position: controls.pp line 1693

`public procedure TControl.ShouldAutoAdjust(`
`var AWidth: Boolean;`
`var AHeight: Boolean`
`); virtual;`

## Arguments

`AWidth` |  | True if the width can be auto-adjusted.
`AHeight` |  | True if the height can be auto-adjusted.

## Description

In TControl, both AWidth and AHeight are set to True when the AutoSize property has not been enabled.

## See also

TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.